Skip to main content

Send Magic Link

Authenticate user through email via link.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL​

POST http://{hostname}/auth/realms/{realm}/kobil-magic-link/access-link
note

Digitanium support for this API will be provided on request.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body(Required)​

Parameter NameTypeDescription
email (Required)StringSend link to the user email.
clientId (Required)StringThe client ID of the application.
redirectUri (Required)StringSpecify the URI, where user needs to land after completing the process.
scope (Required)StringThe scope requested for the token.
response Mode (Required)StringSelect the type how the Authorization Server should return the result.
response Type (Required)StringSelect the type of response that has to be received on execution.
forceCreateBooleanCreate user with the email when user doesn't exist.
resetPasswordBooleanIf true reset password option is enabled while clicking the Magic link.

Request Response​

{

"email" : "abc@gmail.com",
"clientId" : "test",
"redirectUri" : "https://oidcdebugger.com/debug",
"scope" : "open_id",
"responseMode" : "form_post",
"responseType" : "code token",
"forceCreate" : true,
"resetPassword" : true

}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Mail was sent successfully to provided email id with magic link",
"status": "Ok",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200OKMail was sent successfully to provided email id with magic link
400BAD REQUESTInvalid response type or response mode
404Not FoundUser is not present, Please enable user